Subject: Re: linux-next: cpufreq tree build failure

From: Dave Jones <[email-masked]>
Date: Tue, 20 Jan 2009 00:30:22 -0500

On Tue, Jan 20, 2009 at 01:50:59PM +1100, Stephen Rothwell wrote:
 > Hi Dave,
 > 
 > Today's linux-next build (x86_64 allmodconfig) failed like this:
 > 
 > arch/x86/kernel/cpu/cpufreq/powernow-k8.c: In function 'powernow_k8_cpu_init_acpi':
 > arch/x86/kernel/cpu/cpufreq/powernow-k8.c:836: error: 'space_id' undeclared (first use in this function)
 > 
 > Immediate cause is commit 77a33c31a78c6cd11395c8b554152be684110e94
 > ("[CPUFREQ] checkpatch cleanups for powernow-k8") which clearly wasn't
 > build tested.

wtf, I dropped a hunk somehow.

 > I have dropped the cpufreq tree for today.
 
I regenerated the tree with the missing line.
Thanks for catching this.

	Dave

-- 
http://www.codemonkey.org.uk